org.apache.maven.plugin

## Class PluginConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.plugin.PluginConfigurationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PluginParameterException

    public class PluginConfigurationException
    extends java.lang.Exception

Version:
  $Id: PluginConfigurationException.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PluginConfigurationException(PluginDescriptor pluginDescriptor, java.lang.String message)`
`PluginConfigurationException(PluginDescriptor pluginDescriptor, java.lang.String message, java.lang.Throwable cause)`
`PluginConfigurationException(PluginDescriptor pluginDescriptor, java.lang.Throwable cause)`

### Method Summary

Methods
`protected static void` `addParameterUsageInfo(java.lang.String expression, java.lang.StringBuffer messageBuffer)`
`java.lang.String` `buildConfigurationDiagnosticMessage(ComponentConfigurationException cce)`
`java.lang.String` `getOriginalMessage()`
`PluginDescriptor` `getPluginDescriptor()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PluginConfigurationException

    public PluginConfigurationException(PluginDescriptor pluginDescriptor,
                                java.lang.String message)

#### PluginConfigurationException

    public PluginConfigurationException(PluginDescriptor pluginDescriptor,
                                java.lang.Throwable cause)

#### PluginConfigurationException

    public PluginConfigurationException(PluginDescriptor pluginDescriptor,
                                java.lang.String message,
                                java.lang.Throwable cause)

### Method Detail

#### getPluginDescriptor

    public PluginDescriptor getPluginDescriptor()

#### getOriginalMessage

    public java.lang.String getOriginalMessage()

#### addParameterUsageInfo

    protected static void addParameterUsageInfo(java.lang.String expression,
                             java.lang.StringBuffer messageBuffer)

#### buildConfigurationDiagnosticMessage

    public java.lang.String buildConfigurationDiagnosticMessage(ComponentConfigurationException cce)